UtilityNamedTraceConfigurationQueryParameters class final

The query parameters to use when searching for applicable named trace configuration objects.

If none of the parameters are set the query will return all available named trace configurations. In the query the values in each property are combined using a logical OR and between each property a logical AND is used.

Implemented types

Constructors

UtilityNamedTraceConfigurationQueryParameters()
Creates an UtilityNamedTraceConfigurationQueryParameters.
factory

Properties

creators List<String>
Optional parameter representing the creators of the named trace configurations to be queried.
no setter
globalIds List<Guid>
Optional parameter representing the global IDs of the named trace configurations to be queried.
no setter
hashCode int
The hash code for this object.
no setterinherited
names List<String>
Optional parameter representing the names of the named trace configurations to be queried.
no setter
runtimeType Type
A representation of the runtime type of the object.
no setterinherited
tags List<String>
Optional parameter representing the user tags of the named trace configurations to be queried.
no setter

Methods

noSuchMethod(Invocation invocation) → dynamic
Invoked when a nonexistent method or property is accessed.
inherited
toString() String
A string representation of this object.
inherited

Operators

operator ==(Object other) bool
The equality operator.
inherited